org.licas.util.exception

## Class ServiceNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jlog2.exception.WriteMessageException
      - - org.licas.util.exception.ServiceNotFoundException

- All Implemented Interfaces:
    java.io.Serializable

      public class ServiceNotFoundException
      extends org.jlog2.exception.WriteMessageException

  This class can be used to throw an exception if a service to be invoked does not exist.
  Author:
    Kieran Greer
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceNotFoundException(java.lang.String message)` Create a new instance of ServiceNotFoundException.
    `ServiceNotFoundException(java.lang.String message, boolean thisUseOnce)` Create a new instance of ServiceNotFoundException.

  - ### Method Summary

    - ### Methods inherited from class org.jlog2.exception.WriteMessageException

      `getUseOnce`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceNotFoundException

          public ServiceNotFoundException(java.lang.String message)

      Create a new instance of ServiceNotFoundException. This exception is passed through each time, although only the message part gets written to the logger.
      Parameters:
        `message` - the error message.

    - #### ServiceNotFoundException

          public ServiceNotFoundException(java.lang.String message,
                                          boolean thisUseOnce)

      Create a new instance of ServiceNotFoundException.
      Parameters:
        `message` - the error message.
        `thisUseOnce` - if true pass through the logger only once, if false, then pass through the logger each time.